Package org.sunflow.image

# Class RGBSpace

java.lang.Object
org.sunflow.image.RGBSpace

public final class RGBSpace extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final RGBSpace`
`ADOBE`
`static final RGBSpace`
`APPLE`
`static final RGBSpace`
`CIE`
`static final RGBSpace`
`EBU`
`static final RGBSpace`
`HDTV`
`static final RGBSpace`
`NTSC`
`static final RGBSpace`
`SMPTE_240M`
`static final RGBSpace`
`SMPTE_C`
`static final RGBSpace`
`SRGB`
`static final RGBSpace`
`WIDE_GAMUT`

## Constructor Summary

Constructors
Constructor
Description
`RGBSpace(float xRed, float yRed, float xGreen, float yGreen, float xBlue, float yBlue, float xWhite, float yWhite, float gamma, float breakPoint)`

## Method Summary

Modifier and Type
Method
Description
`final XYZColor`
`convertRGBtoXYZ(Color c)`
`final Color`
`convertXYZtoRGB(float X, float Y, float Z)`
`final Color`
`convertXYZtoRGB(XYZColor c)`
`final float`
`gammaCorrect(float v)`
`final boolean`
`insideGamut(float r, float g, float b)`
`static void`
`main(String[] args)`
`final byte`
`rgbToLinear(byte r)`
`final int`
`rgbToLinear(int rgb)`
`final byte`
`rgbToNonLinear(byte r)`
`final int`
`rgbToNonLinear(int rgb)`
`final String`
`toString()`
`final float`
`ungammaCorrect(float vp)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ADOBE

public static final RGBSpace ADOBE

### APPLE

public static final RGBSpace APPLE

### NTSC

public static final RGBSpace NTSC

### HDTV

public static final RGBSpace HDTV

### SRGB

public static final RGBSpace SRGB

### CIE

public static final RGBSpace CIE

### EBU

public static final RGBSpace EBU

### SMPTE_C

public static final RGBSpace SMPTE_C

### SMPTE_240M

public static final RGBSpace SMPTE_240M

### WIDE_GAMUT

public static final RGBSpace WIDE_GAMUT

## Constructor Details

### RGBSpace

public RGBSpace(float xRed, float yRed, float xGreen, float yGreen, float xBlue, float yBlue, float xWhite, float yWhite, float gamma, float breakPoint)

## Method Details

### convertXYZtoRGB

public final Color convertXYZtoRGB(XYZColor c)

### convertXYZtoRGB

public final Color convertXYZtoRGB(float X, float Y, float Z)

### convertRGBtoXYZ

public final XYZColor convertRGBtoXYZ(Color c)

### insideGamut

public final boolean insideGamut(float r, float g, float b)

### gammaCorrect

public final float gammaCorrect(float v)

### ungammaCorrect

public final float ungammaCorrect(float vp)

### rgbToNonLinear

public final int rgbToNonLinear(int rgb)

### rgbToLinear

public final int rgbToLinear(int rgb)

### rgbToNonLinear

public final byte rgbToNonLinear(byte r)

### rgbToLinear

public final byte rgbToLinear(byte r)

### toString

public final String toString()

Overrides:
  `toString` in class `Object`

### main

public static void main(String[] args)